Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.portal.jsp
Class PagePortletControllerContext

    java.lang.Object
      org.jboss.portal.portlet.controller.impl.AbstractPortletControllerContext
          org.jboss.portal.portlet.portal.jsp.PagePortletControllerContext

All Implemented Interfaces:
  PortletControllerContext

    public class PagePortletControllerContext

extends AbstractPortletControllerContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.controller.impl.AbstractPortletControllerContext
`MARKUP_INFO, NAV_SCOPE, PORTAL_CONTEXT, SESSION_SCOPE`

Constructor Summary
`PagePortletControllerContext(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp, PortletInvoker invoker, javax.servlet.ServletContext servletContext, PortalPrepareResponse prepareResponse)`

Method Summary
`Portlet` | `findPortlet(java.lang.String applicationName, java.lang.String portletName)`
`PageEventControllerContext` | `getEventControllerContext()`
`org.jboss.portal.common.io.Serialization<PortletPageNavigationalState>` | `getPageNavigationalStateSerialization()`
`protected Portlet` | `getPortlet(java.lang.String windowId)`
`StateControllerContext` | `getStateControllerContext()`
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)`

Methods inherited from class org.jboss.portal.portlet.controller.impl.AbstractPortletControllerContext
`createPortletInvocationContext, getClientRequest, getClientResponse, getPortletInfo, invoke, invoke, invoke, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PagePortletControllerContext

    public PagePortletControllerContext(javax.servlet.http.HttpServletRequest req,
                                        javax.servlet.http.HttpServletResponse resp,
                                        PortletInvoker invoker,
                                        javax.servlet.ServletContext servletContext,
                                        PortalPrepareResponse prepareResponse)
                                 throws org.jboss.portal.web.IllegalRequestException,
                                        java.io.IOException,
                                        javax.servlet.ServletException,
                                        PortletInvokerException

Throws:
  `org.jboss.portal.web.IllegalRequestException`
  `java.io.IOException`
  `javax.servlet.ServletException`
  `PortletInvokerException`

Method Detail

### findPortlet

    public Portlet findPortlet(java.lang.String applicationName,
                               java.lang.String portletName)

### getPortlet

    protected Portlet getPortlet(java.lang.String windowId)
                          throws PortletInvokerException

  Specified by:
    `getPortlet` in class `AbstractPortletControllerContext`
  Throws:
    `PortletInvokerException`

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws PortletInvokerException

  Specified by:
    `invoke` in class `AbstractPortletControllerContext`
  Throws:
    `PortletInvokerException`

### getEventControllerContext

    public PageEventControllerContext getEventControllerContext()

### getStateControllerContext

    public StateControllerContext getStateControllerContext()

### getPageNavigationalStateSerialization

    public org.jboss.portal.common.io.Serialization<PortletPageNavigationalState> getPageNavigationalStateSerialization()

  Specified by:
    `getPageNavigationalStateSerialization` in class `AbstractPortletControllerContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.